petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFEGetFaceTabulation

Returns the tabulation of the basis functions at the face centroid points

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetFaceCentroidTabulation(PetscFE fem, PetscReal **F)

Not collective

### Input Parameter

fem -The PetscFE object

### Output Parameters

| B | - The basis function values at face centroid points
| D | - The basis function derivatives at face centroid points
| H | - The basis function second derivatives at face centroid points

### Note

    Bf[(f*pdim + i)*Nc + c] is the value at point f for basis function i and component c

    Df[((f*pdim + i)*Nc + c)*dim + d] is the derivative value at point f for basis function i, component c, in direction d

    Hf[(((f*pdim + i)*Nc + c)*dim + d)*dim + e] is the value at point f for basis function i, component c, in directions d and e

### See Also

PetscFEGetFaceTabulation(), PetscFEGetDefaultTabulation(), PetscFEGetTabulation(), PetscFERestoreTabulation()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages